

This directory contains the source code to the JAWS framework as
described in Object-Oriented Application Frameworks, Volume 3.

The subdirectories are as follows

  ./JAWS          the core JAWS framework source
  ./HTTPU         utility classes for HTTP handling

The top level directory contains source to a simple HTTP/0.9 web
server written using the JAWS framework.

The Makefile uses the ACE Makefile system, so a correctly configured
ACE should require no changes to get JAWS to compile.

Users of Windows NT can start with the supplied project files, but they
may require some fiddling with to get it all to compile.

Server command line options:

  -t              : enable/disable tracing (disabled by default)
  -p PORT         : set listen port to PORT (5432 default)
  -c CONCURRENCY  : set concurrency strategy, one of PER_REQUEST,
                    or POOL (the default).
  -d DISPATCH     : set dispatch strategy, one of ASYNCH, or SYNCH (default)
  -n NTHREADS     : set number of threads for POOL (5 default)
  -m MAXTHREADS   : set maximum number of threads for PER_REQUEST,
                    (20 default)
  -f THREADFLAGS  : set thread creation flags, recognizes THR_BOUND,
                    THR_DAEMON, and THR_DETACHED
  -r RATIO        : set asynch tasks per thread ratio (1 default)

-- James
